import { camelize } from 'camelize-object-key';
import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import { defaultLayout } from '../.storybook/decorators';
import BlockSpecsTables from '@/pages/air-purifier-mini/-block-specs-tables';
import store from '@/.storybook/store';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {};

export const controls = {
	color: [
		'mobileBackgroundColor',
		'desktopBackgroundColor',
		'mobileHeaderBackgroundColor',
		'desktopHeaderBackgroundColor',
		'mobileRowHeadersBackgroundColor',
		'desktopRowHeadersBackgroundColor',
		'headingColor',
		'headingColorDesktop',
		'copyColor',
		'copyColorDesktop',
	],
	number: [],
	json: [
		'column2CtaLink',
		'column2Image',
		'column2ImageMobile',
		'column3CtaLink',
		'column3Image',
		'column3ImageMobile',
		'items',
	],
};

<Meta
	title="Specs Tables"
	decorators={[defaultLayout]}
	component={BlockSpecsTables}
	argTypes={addControls(argTypes, controls)}
/>

# Specs Tables

This module is used on the Air Mini page.

Uses the Comparison Table and the Specs modules and it is used to compare specifications between two products. One table shows the differences and the other shows the similarities.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockSpecsTables },
		template: '<block-specs-tables v-bind="$props" />',
		store,
	};
};

export const items = [
	{ row_type: 'Column Headers', column1: '<p></p>', column2: '<p>Air Mini</p>', column3: '<p>Air Mini+</p>' },
	{ row_type: 'Normal', column1: '<p>Price</p>', column2: '<p>$399</p>', column3: '<p>$499</p>' },
	{
		row_type: 'Normal',
		column1: '<p>Handle</p>',
		column2: '<p>Natural wool felt</p>',
		column3: '<p>Vegan leather</p>',
	},
	{
		row_type: 'Normal',
		column1: '<p>Particle sensor</p>',
		column2: '<p class="x-mark"></p>',
		column3: '<p class="check-mark"></p>',
	},
	{
		row_type: 'Normal',
		column1: '<p>Particle level indicator</p>',
		column2: '<p class="x-mark"></p>',
		column3: '<p class="check-mark"></p>',
	},
	{
		row_type: 'Normal',
		column1: '<p>Auto Protect mode</p>',
		column2: '<p class="x-mark"></p>',
		column3: '<p class="check-mark"></p>',
	},
	{
		row_type: 'Shared',
		column1: '<p>Room size coverage</p>',
		column2: '<p>Up to 250 sq ft (23.22 m²)</p>',
		column3: [],
	},
	{
		row_type: 'Shared',
		column1: '<p>Filters</p>',
		column2: '<p>PECO-Filter (with integrated Pre-Filter)</p>',
		column3: [],
	},
	{
		row_type: 'Shared',
		column1: '<p>Filter life</p>',
		column2: '<p>Recommended filter change every 6 months</p>',
		column3: [],
	},
	{
		row_type: 'Shared',
		column1: '<p>Power consumption</p>',
		column2: '<p>Lowest speed — 20 W/h  Highest speed — 55 W/h  </p><p>100-240V (2-prong power plug)</p>',
		column3: [],
	},
	{
		row_type: 'Shared',
		column1: '<p>Sound levels</p>',
		column2: '<p>Lowest speed — 39 dBa  |  Highest speed — 62 dBa</p>',
		column3: [],
	},
	{ row_type: 'Shared', column1: '<p>App enabled</p>', column2: '<p>iOS &amp; Android</p>', column3: [] },
	{ row_type: 'Shared', column1: '<p>WiFi enabled</p>', column2: '<p>2.4 GHz</p>', column3: [] },
	{ row_type: 'Shared', column1: '<p>Cord length</p>', column2: '<p>54” (137 cm) approx</p>', column3: [] },
	{
		row_type: 'Shared',
		column1: '<p>Size</p>',
		column2: '<p>12” (30.48 cm) high  ×  8.26” (20.98 cm) wide</p>',
		column3: [],
	},
	{ row_type: 'Shared', column1: '<p>Weight</p>', column2: '<p>7.3 lbs (3.3 kg)</p>', column3: [] },
	{ row_type: 'Shared', column1: '<p>Warranty</p>', column2: '<p>2-year limited warranty</p>', column3: [] },
	{ row_type: 'Shared', column1: '<p>Assembled</p>', column2: '<p>Made in China</p>', column3: [] },
];

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			column2CtaLink: { url: 'https://molekule.com/add-to-cart?skus=US:MinimoB_US' },
			column2CtaText: 'Buy; Preorder; Coming Soon',
			column2CtaTextDesktop: 'Get Mini; Preorder; Coming Soon',
			column2Image: {
				url:
					'https://images.prismic.io/molekule/63a1cf31-c2a0-420e-bcc3-23d645dacc97_sales_module_mini_basic+3_4%402x.png?auto=compress,format',
				alt: null,
				copyright: null,
				width: 860,
				height: 800,
			},
			column2ImageMobile: {},
			column3CtaLink: { url: 'https://molekule.com/add-to-cart?skus=US:MinimoP_US' },
			column3CtaText: 'Buy; Preorder; Coming Soon',
			column3CtaTextDesktop: 'Get Mini+; Preorder; Coming Soon',
			column3Image: {
				url:
					'https://images.prismic.io/molekule/5a1aa165-1100-4d4e-a379-1e0bc25166da_Specs+-+Air+Mini%2B.png?auto=compress,format',
				alt: null,
				copyright: null,
				width: 860,
				height: 800,
			},
			column3ImageMobile: {},
			desktopBackgroundColor: '#f4f2f2',
			desktopHeaderBackgroundColor: '#f4f2f2',
			desktopRowHeadersBackgroundColor: '#f4f2f2',
			heading2: 'Shared specifications',
			heading2Desktop: 'Shared specifications',
			headingDesktop: 'Which Air Mini is right for you?',
			items: camelize(items),
			mobileBackgroundColor: '#f4f2f2',
			mobileHeaderBackgroundColor: '#f4f2f2',
			mobileRowHeadersBackgroundColor: '#f4f2f2',
			showCtaRowOnDesktop: true,
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockSpecsTables} />
